From b6b2741be917055ceaf336c6f63de0b0b5818b12 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jun 04 2015 19:57:48 +0000
Subject: [PATCH 65/254] Merge pull request #7 from decause/develop


Added a initial about widget as an example
---

diff --git a/hubs/widgets/__init__.py b/hubs/widgets/__init__.py
index 4078e33..f2268e7 100644
--- a/hubs/widgets/__init__.py
+++ b/hubs/widgets/__init__.py
@@ -2,6 +2,7 @@ from hubs.widgets import dummy
 from hubs.widgets import stats
 from hubs.widgets import rules
 from hubs.widgets import sticky
+from hubs.widgets import about
 
 from hubs.widgets.base import AGPLv3, smartcache
 
@@ -10,6 +11,7 @@ registry = {
     'stats': stats,
     'rules': rules,
     'sticky': sticky,
+    'about': about,
 }
 
 
diff --git a/hubs/widgets/about.py b/hubs/widgets/about.py
new file mode 100644
index 0000000..a6f8eae
--- /dev/null
+++ b/hubs/widgets/about.py
@@ -0,0 +1,23 @@
+from hubs.widgets.chrome import panel
+from hubs.widgets.base import argument
+
+import jinja2
+
+import hubs.validators as validators
+
+
+template = jinja2.Template("""
+    <p>{{text}}</p>
+    """)
+chrome = panel("About")
+
+
+@argument(name="text", default="I am a Fedora user, and this is my about",
+          validator=validators.text,
+          help="Text about a user.")
+def data(session, widget, text):
+    return dict(text=text)
+
+
+def should_invalidate(message, session, widget):
+    raise NotImplementedError
diff --git a/populate.py b/populate.py
index 8751dc6..0742abc 100755
--- a/populate.py
+++ b/populate.py
@@ -20,8 +20,17 @@ widget = hubs.models.Widget(plugin='rules', index=1,
                                 'link': 'http://threebean.org'
                             }))
 hub.widgets.append(widget)
+
 widget = hubs.models.Widget(plugin='dummy', index=2)
 hub.widgets.append(widget)
+
+# Added a hubs about widget
+widget = hubs.models.Widget(plugin='about', index=3,
+                            _config=json.dumps({
+                                "text": "I'm a Fedora user, and this is my about widget text!",
+                            }))
+hub.widgets.append(widget)
+
 widget = hubs.models.Widget(plugin='sticky', index=0, left=True,
                             _config=json.dumps({
                                 'text': 'This is a sticky note.',

